# Grfica de las funciones mezcla Hermite
#
k = 10
a = k*sqrt(2)
P1(t) = 2*t*t*t - 3*t*t + 1
P4(t) = -2*t*t*t + 3*t*t 
R1(t) = t*t*t - 2*t*t + t 
R4(t) = t*t*t - t*t 

x1(t) = 3*P1(t) +  8*P4(t) + (-k)*R1(t) 
y1(t) = 3*P1(t) +  3*P4(t) -    k*R4(t) 

x2(t) = 3*P1(t) +  8*P4(t) - a*R1(t)
y2(t) = 3*P1(t) +  3*P4(t) + a*R1(t) - k*R4(t) 

x3(t) = 3*P1(t) +  8*P4(t) 
y3(t) = 3*P1(t) +  3*P4(t) + k*R1(t) - k*R4(t) 

x4(t) = 3*P1(t) +  8*P4(t) + a*R1(t)
y4(t) = 3*P1(t) +  3*P4(t) + a*R1(t) - k*R4(t) 

x5(t) = 3*P1(t) +  8*P4(t) + k*R1(t) 
y5(t) = 3*P1(t) +  3*P4(t) - k*R4(t) 

x6(t) = 3*P1(t) +  8*P4(t) 
y6(t) = 3*P1(t) +  3*P4(t) - k*R1(t) - k*R4(t) 

set parametric
set trange [0:1]
# set yrange [0:4]
plot x1(t), y1(t), \
	x2(t), y2(t), \
	x3(t), y3(t), \
	x4(t), y4(t), \
	x5(t), y5(t), \
	x6(t), y6(t)
pause -1
